Subject: Re: [dtn-interest] dtn assigned names and numbers
From: Lloyd Wood <[email-masked]>
To: Michael Demmer <[email-masked]>
Cc: dtn-interest <[email-masked]>
Date: Thu, 31 May 2007 22:49:27 +0100
List-Id: Delay Tolerant Networking Interest List <dtn-interest.mailman.dtnrg.org>

http://www.iana.org/assignments/port-numbers

now has:
saratoga        7542/tcp    Saratoga Transfer Protocol
saratoga        7542/udp    Saratoga Transfer Protocol
allocated.

(This displaces the 4000/udp used privately in Saratoga implementations to date.)

Saratoga is described at:
ftp://ftp-eng.cisco.com/lwood/dtn/README.html
(IE users - turn on passive ftp in Tools/Options advanced tab.)

L.

At Tuesday 22/05/2007 17:38 +0100, Michael Demmer wrote:

>In the wake of the just-completed DTNRG meeting here in Dublin, I've  
>created a wiki page as a temporary registry of names and numbers used  
>by the various DTN protocols:
>
>http://www.dtnrg.org/wiki/AssignedNamesAndNumbers
>
>Feel free to send me additions or updates that you'd like to see there.
>
>-mike

-- 
Lloyd Wood, London, UK. [email-masked]  http://www.cisco.com/go/space
space initiatives manager, Cisco Systems Global Government Solutions Group

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]> 

Date: Wed, 30 May 2007 14:51:28 +0100
From: Stephen Farrell <[email-masked]>
To: DTN <[email-masked]>
Subject: [dtn-interest] Brief notes and presentations from Dublin...
Sender: [email-masked]

...are on my web page [1] and linked from dtnrg.org.

If someone wants to put that content directly on the
dtnrg.org machine, feel free to suck it over there.

I'm missing Askoan's slides btw. Not sure if I ever
had 'em - if I did, I've lost 'em now, sorry;-)

Stephen.

[1] http://down.dsg.cs.tcd.ie/misc/DubDTN/

Date: Thu, 24 May 2007 11:19:39 -0400
From: Wesley Eddy <[email-masked]>
To: [email-masked], [email-masked]
Reply-To: [email-masked]
Subject: [dtn-interest] IRSG review of DTNRG's Bundle Specification
Sender: [email-masked]

This is an IRSG review of the DTNRG's Bundle Protocol Specification, based on
draft-irtf-dtnrg-bundle-spec-09 from Wesley Eddy (ICCRG co-chair).  This review
was performed based on the text in Section 5.2.2 of:
http://www.irtf.org/chairfiles/draft-irtf-rfcs-01d.html
Specifically, this is not a deep technical review, but is mostly focused on
ensuring the readability of the document.

Overall, I believe this document is "ready to publish", and would vote so in an
IRSG poll.

1. Is the writing clear, cogent, and consistent?

  Overall: yes, I believe it could be passed to the RFC-Editor as-written.

  Minor note #1: I'm not sure about the URL in the abstract?  I don't belive
  this is proper for an RFC, nor do I believe it is needed since the other
  references provide sufficient information (the dtn-arch RFC, the SIGCOMM
  paper, etc.).  Since the RFC-Editor will do something appropriate with this,
  I don't think it is a big deal to resolve for the IRSG review, just
  something to be aware of, and perhaps consider requesting the RFC-Editor
  to remove when forwarding to them for publication.

  Minor note #2: We don't often see the word "contraindicated" used in RFCs,
  but I don't believe it will confuse any serious readers, so I don't see any
  need to change it.

2. Will the document's material be accessible to non-subject matter experts?

  Yes; I believe the Introduction section facilitates this, along with the
  references included to other tutorial documents, and the Definitions given.

3. Has sufficient editorial and technical review been conducted within the RG?

  Yes.  In addition to reviewing the document, RG participants have produced
  multiple implementations and demonstrated at least basic interoperability.

  Minor note #3: several references listed don't appear to be cited within the
  document ([IPR], [RGTS], and [NTP]).  The first two are discussed as BCP
  78 and 79 in some of the boilerplate text, but not cited by the boilerplate
  text, and the third does not appear to be used anywhere.  Also, the reference
  to draft-irtf-dtnrg-bundle-security-02 is outdated.  I found these using
  idnits.  I believe the RFC-Editor can fix all of these.

  Minor note #4: A technical issue is that the "priority" field does not seem
  to have any effect, based on this document, so I am not sure why it is
  defined.  Codes for priority levels are defined (bulk, normal, and
  expedited), but how they are intended to be applied in scheduling,
  forwarding, or other processing is not discussed at all, which leads to
  many questions in the mind of an implementer, and probably leads to these
  fields just being ignored.  For example, do expedited bundles preempt normal
  ones?  Is there a 3-level weighted priority queue, or some other data
  structure intended?  Etc.  I do not believe these codes should be defined
  if their intended effects are not, but I also do not think this is worth
  blocking the document or requiring a revision to it for :).

4. Are the criteria of section 5.1 of draft-irtf-rfcs-01d met?

  Overall: yes

  The abstract states that this is a product of the DTNRG.

  The document states that it represents the consensus of all active group
  members.

  Appendix A of the document lists a number of contributors/reviewers.

  The document does not explicitly identify itself as *not* being either an
  IETF product or a standard; although those properties are implicit from the
  statements that it is a product of the DTNRG and is Experimental.  The IESG
  Note that should be added to this is:

     "This document is not an IETF Internet Standard.  It represents
      the consensus of the DTN Research Group of the Internet Research
      Task Force.  It may be considered for standardization by the
      IETF in the future."

  Since an experimental protocol is described, appropriate usage caveats must
  be noted.  I believe that the IESG note above satisfies this if/when added.

  The protocol has not been considered in an IETF working group, to my
  knowledge.

  Adequate references are given.

-- 
Wesley M. Eddy
Verizon Federal Network Systems

Cc: Stephen Farrell <[email-masked]>, dtn-interest <[email-masked]>
From: Marshall Eubanks <[email-masked]>
Subject: Re: [dtn-interest] DTN meeting at Chicago July IETF?
Date: Wed, 23 May 2007 21:38:27 -0400
To: Lloyd Wood <[email-masked]>
Sender: [email-masked]

On May 23, 2007, at 6:51 PM, Lloyd Wood wrote:

> At Wednesday 23/05/2007 23:25 +0100, Stephen Farrell wrote:
>
>> I'd say there's no need to worry.
>>
>> But, don't count on the agenda being stable until sometime
>> in July.
>
> ...because everyone else gets their session requests in late, too?

Because the amount of schedule collision during IETF week is intense,  
which makes adjustments frequent.

Regards
Marshall

>
> So, my choices are: attend the whole week to make sure I am there  
> for this session, or not at all?
>
> L.
>
>> Lloyd Wood wrote:
>>> At Wednesday 23/05/2007 21:35 +0100, Stephen Farrell wrote:
>>>
>>>> Just filled in the request form. Next draft will contain it,
>>> http://www.ietf.org/meetings/69-cutoff_dates.html
>>> May 21, Monday - Cutoff date for requests to schedule Working  
>>> Group meetings and for preliminary BOF proposals to ADs at 17:00  
>>> ET (21:00 UTC/GMT).
>>> ...so that deadline got missed.
>>> How hard is the deadline, and when is the next agenda draft due?
>>> thanks,
>>> L.
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-interest

Date: Wed, 23 May 2007 23:51:30 +0100
To: Stephen Farrell <[email-masked]>
From: Lloyd Wood <[email-masked]>
Subject: Re: [dtn-interest] DTN meeting at Chicago July IETF?
Cc: dtn-interest <[email-masked]>
Sender: [email-masked]

At Wednesday 23/05/2007 23:25 +0100, Stephen Farrell wrote:

>I'd say there's no need to worry.
>
>But, don't count on the agenda being stable until sometime
>in July.

...because everyone else gets their session requests in late, too?

So, my choices are: attend the whole week to make sure I am there for this session, or not at all?

L.

>Lloyd Wood wrote:
>>At Wednesday 23/05/2007 21:35 +0100, Stephen Farrell wrote:
>>
>>>Just filled in the request form. Next draft will contain it,
>>http://www.ietf.org/meetings/69-cutoff_dates.html
>>May 21, Monday - Cutoff date for requests to schedule Working Group meetings and for preliminary BOF proposals to ADs at 17:00 ET (21:00 UTC/GMT). 
>>...so that deadline got missed.
>>How hard is the deadline, and when is the next agenda draft due?
>>thanks,
>>L.

Date: Wed, 23 May 2007 23:25:43 +0100
From: Stephen Farrell <[email-masked]>
To: Lloyd Wood <[email-masked]>
CC: dtn-interest <[email-masked]>
Subject: Re: [dtn-interest] DTN meeting at Chicago July IETF?
Sender: [email-masked]

I'd say there's no need to worry.

But, don't count on the agenda being stable until sometime
in July.

S.

Lloyd Wood wrote:
> At Wednesday 23/05/2007 21:35 +0100, Stephen Farrell wrote:
> 
>> Just filled in the request form. Next draft will contain it,
> 
> http://www.ietf.org/meetings/69-cutoff_dates.html
> May 21, Monday - Cutoff date for requests to schedule Working Group meetings and for preliminary BOF proposals to ADs at 17:00 ET (21:00 UTC/GMT). 
> 
> ...so that deadline got missed.
> 
> How hard is the deadline, and when is the next agenda draft due?
> 
> thanks,
> 
> L.
> 
>> S.
>>
>> Lloyd Wood wrote:
>>> The IETF agenda was just published. It does not include a DTN meeting.
>>> https://datatracker.ietf.org/public/meeting_agenda_html.cgi?meeting_num=69
>>> Will there be a DTN meeting in Chicago? (Knowing the answer as soon as possible helps with travel planning.)
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-interest
> 

Date: Wed, 23 May 2007 22:50:38 +0100
To: Stephen Farrell <[email-masked]>
From: Lloyd Wood <[email-masked]>
Subject: Re: [dtn-interest] DTN meeting at Chicago July IETF?
Cc: dtn-interest <[email-masked]>
Sender: [email-masked]

At Wednesday 23/05/2007 21:35 +0100, Stephen Farrell wrote:

>Just filled in the request form. Next draft will contain it,

http://www.ietf.org/meetings/69-cutoff_dates.html
May 21, Monday - Cutoff date for requests to schedule Working Group meetings and for preliminary BOF proposals to ADs at 17:00 ET (21:00 UTC/GMT). 

...so that deadline got missed.

How hard is the deadline, and when is the next agenda draft due?

thanks,

L.

>S.
>
>Lloyd Wood wrote:
>>The IETF agenda was just published. It does not include a DTN meeting.
>>https://datatracker.ietf.org/public/meeting_agenda_html.cgi?meeting_num=69
>>Will there be a DTN meeting in Chicago? (Knowing the answer as soon as possible helps with travel planning.)

Date: Wed, 23 May 2007 21:35:49 +0100
From: Stephen Farrell <[email-masked]>
To: Lloyd Wood <[email-masked]>
CC: dtn-interest <[email-masked]>
Subject: Re: [dtn-interest] DTN meeting at Chicago July IETF?
Sender: [email-masked]

Just filled in the request form. Next draft will contain it,
S.

Lloyd Wood wrote:
> The IETF agenda was just published. It does not include a DTN meeting.
> https://datatracker.ietf.org/public/meeting_agenda_html.cgi?meeting_num=69
> 
> Will there be a DTN meeting in Chicago? (Knowing the answer as soon as possible helps with travel planning.)
> 
> thanks,
> 
> L.
> 
> <http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]> 
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-interest
> 

Date: Wed, 23 May 2007 19:51:24 +0100
From: Jeroen Massar <[email-masked]>
Organization: Unfix
To: Lloyd Wood <[email-masked]>
CC: dtn-interest <[email-masked]>
Subject: Re: [dtn-interest] DTN meeting at Chicago July IETF?
OpenPGP: id=333E7C23
Sender: [email-masked]

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig08DE6A4C03F6478C01054649
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Lloyd Wood wrote:
> The IETF agenda was just published. It does not include a DTN meeting.
> https://datatracker.ietf.org/public/meeting_agenda_html.cgi?meeting_num=
=3D69
>=20
> Will there be a DTN meeting in Chicago? (Knowing the answer as soon as =
possible helps with travel planning.)

As discussed during the meeting on mon/tue in Dublin: Yes.

As far as I recall (Kevin has the exact notes) a normal (2h?) slot
during the week will be allocated, with maybe some extra time on friday
for possible interop testing etc.

Greets,
 Jeroen

--------------enig08DE6A4C03F6478C01054649
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

--------------enig08DE6A4C03F6478C01054649--

Date: Wed, 23 May 2007 18:07:17 +0100
To: dtn-interest <[email-masked]>
From: Lloyd Wood <[email-masked]>
Subject: [dtn-interest] DTN meeting at Chicago July IETF?
Sender: [email-masked]

The IETF agenda was just published. It does not include a DTN meeting.
https://datatracker.ietf.org/public/meeting_agenda_html.cgi?meeting_num=69

Will there be a DTN meeting in Chicago? (Knowing the answer as soon as possible helps with travel planning.)

thanks,

L.

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]> 

From: Michael Demmer <[email-masked]>
Date: Tue, 22 May 2007 17:38:07 +0100
To: dtn-interest <[email-masked]>
Subject: [dtn-interest] dtn assigned names and numbers
Sender: [email-masked]

In the wake of the just-completed DTNRG meeting here in Dublin, I've  
created a wiki page as a temporary registry of names and numbers used  
by the various DTN protocols:

http://www.dtnrg.org/wiki/AssignedNamesAndNumbers

Feel free to send me additions or updates that you'd like to see there.

-mike

Date: Tue, 22 May 2007 12:30:56 +0100
To: [email-masked]
From: Lloyd Wood <[email-masked]>
Subject: [dtn-interest] Saratoga convergence layer for DTN bundles.
Sender: [email-masked]

The internet-draft for Saratoga has now been published:
http://www.ietf.org/internet-drafts/draft-wood-dtnrg-saratoga-00.txt

The slides for the talk on Saratoga that I gave at today's DTNRG workshop in Dublin are available from:
ftp://ftp-eng.cisco.com/lwood/dtn/README.html
(IE users: turn on passive ftp in Tools/Options... advanced tab. www.getfirefox.com)

L.
-- 
Lloyd Wood, London, UK. [email-masked]  http://www.cisco.com/go/space
space initiatives manager, Cisco Systems Global Government Solutions Group

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]> 

From: Kevin Fall <[email-masked]>
Date: Mon, 21 May 2007 01:10:40 -0700
To: dtn interest <[email-masked]>
Subject: [dtn-interest] Fwd: [Ns-developers] ns-3.0.2 development release available
Sender: [email-masked]

I'm x-posting this from the ns list, in case anyone is interested in  
this.
- K

Begin forwarded message:

> From: Tom Henderson <[email-masked]>
> Date: May 20, 2007 4:20:22 PM PDT  May 20, 2007
> To: ns-developers <[email-masked]>
> Subject: [Ns-developers] ns-3.0.2 development release available
>
> A new development release of ns-3 is available at:
> http://www.nsnam.org/releases/ns-3.0.2.tar.gz
>
> This release is functionally similar to the previous ns-3.0.1  
> release but contains significant refactoring, as follows:
>
> - a COM-like framework with support for QueryInterface, to provide  
> encapsulation and interface aggregation
>
> - memory management (new memory management infrastructure based on  
> reference counting and smart pointers)
>
> - support for a BSD-style socket API for user applications
>
> The release contains a document (doc/architecture.pdf; also at  
> http://www.nsnam.org/docs/architecture.pdf) that provides more  
> detail about the software design.  We also have worked hard to  
> provide Doxygen documentation of the APIs, available on-line at  
> http://www.nsnam.org/doxygen/
>
> Several people have asked about starting to contribute to ns-3.  We  
> believe that the APIs are stabilizing enough for this, and we  
> encourage that you read the doc/contributing.txt file in the release.
>
> Our development roadmap has also been updated at:
> http://www.nsnam.org/roadmap.html
>
> Please send feedback/discussion to this list ([email-masked]).
>
> - Tom
>

Date: Fri, 18 May 2007 08:59:01 +0300
From: Joerg Ott <[email-masked]>
To: DTN dev <[email-masked]>, DTN <[email-masked]>
Subject: [dtn-interest] CHANTS 2007: Paper deadline extension
Sender: [email-masked]

Following up on numerous requests, we have extended the
paper deadline for CHANTS 2007 by a few days to 23 May 2007.
This deadline will be firm.

Please also note the upcoming deadline for CHANTS 2007 DEMOS
which remains on 4 June 2007.

Please see: http://chants-2007.netlab.tkk.fi/ for details.

Rajesh and Joerg
CHANTS 2007 co-chairs

Date: Thu, 17 May 2007 12:21:50 +0100
From: Stephen Farrell <[email-masked]>
To: DTN <[email-masked]>
Subject: Re: [dtn-interest] Next week in Dublin
Sender: [email-masked]

So it seems like a few people want to meet up on Sunday
evening for an after-dinner pint.

Let's say O'Donoghues Pub, Merrion Row about 9/9:30pm.
Its only a couple of minutes walk from the Davenport.

S.

[1] http://www.odonoghues.ie/location.htm

Stephen Farrell wrote:
> 
> Hi Folks,
> 
> Just an update/reminder.
> 
> Next week's agenda/logistics are at [1]. Let me know if you
> want any changes (have to look myself). If you have slides
> in advance can you send them to me before Sunday please.
> 
> If you've not sent me your MAC address you may not get
> wireless access. Send it by this evening if you can.
> The list of those from whom I've got values is below.
> 
> Football. I'm promised one more ticket for the football
> match on Sunday. First come, first served. You need to
> be able to meet at the Davenport hotel by ~1pm on Sunday
> to be able to go. If you want a bit of build up, there's
> a probably unintelligible thread here [2]. I'll send a
> separate mail to those who are going in a bit.
> 
> If folks want to meet up for a beer on Sunday night, drop
> me a mail.
> 
> Look forward to seeing you here on Monday,
> Stephen.
> 
> [1] http://down.dsg.cs.tcd.ie/misc/DubAgenda.html
> [2] 
> http://gaaboard.com/board/index.php?PHPSESSID=0934374d5853fc4f18689a6deaccaa28&topic=2691.0 
> 
> 
> 
> 
> 1. Howie Weiss
> 2. Mike Demmer
> 3. Anders Lindgren
> 4. Pete Lovell
> 5. Janico Greifenbert
> 6. Lloyd Wood
> 7. Susan Symmington
> 8. Kevin Fall
> 9. Mikko Pitkanen
> 10. Asokan x 2
> 12. Kari Kostiainen
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-interest
> 

Date: Wed, 16 May 2007 15:51:45 +0100
From: Stephen Farrell <[email-masked]>
To: DTN <[email-masked]>
Subject: [dtn-interest] Next week in Dublin
Sender: [email-masked]

Hi Folks,

Just an update/reminder.

Next week's agenda/logistics are at [1]. Let me know if you
want any changes (have to look myself). If you have slides
in advance can you send them to me before Sunday please.

If you've not sent me your MAC address you may not get
wireless access. Send it by this evening if you can.
The list of those from whom I've got values is below.

Football. I'm promised one more ticket for the football
match on Sunday. First come, first served. You need to
be able to meet at the Davenport hotel by ~1pm on Sunday
to be able to go. If you want a bit of build up, there's
a probably unintelligible thread here [2]. I'll send a
separate mail to those who are going in a bit.

If folks want to meet up for a beer on Sunday night, drop
me a mail.

Look forward to seeing you here on Monday,
Stephen.

[1] http://down.dsg.cs.tcd.ie/misc/DubAgenda.html
[2] 
http://gaaboard.com/board/index.php?PHPSESSID=0934374d5853fc4f18689a6deaccaa28&topic=2691.0

1. Howie Weiss
2. Mike Demmer
3. Anders Lindgren
4. Pete Lovell
5. Janico Greifenbert
6. Lloyd Wood
7. Susan Symmington
8. Kevin Fall
9. Mikko Pitkanen
10. Asokan x 2
12. Kari Kostiainen

Date: Wed, 16 May 2007 14:46:33 +0200
From: Chiara Boldrini <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] [ACM MobiOpp 2007 - MobiSys Workshop]: Program and Call for Participation
Sender: [email-masked]

CALL FOR PARTICIPATION - MobiOpp  2007

******** EARLY REGISTRATION DEADLINE EXTENDED *******************
Please note that the MobiOpp Workshop
early registration deadline has been extended to

MAY 18, 2007

check http://www.sigmobile.org/mobisys/2007/
for registration issues
*****************************************************************

First International Workshop on Mobile Opportunistic Networking
June 11, 2007, Puerto Rico, USA

sponsored by ACM/SIGMOBILE in conjunction with ACM MobiSys 2007
http://cnd.iit.cnr.it/mobiopp07

jointly organized by
IIT-CNR, Italy
UCLA, USA
*****************************************************************

You are cordially invited to join us in San Juan, Puerto Rico,
on June 11, 2007. The MobiOpp workshop is devoted to presenting
and discussing novel findings and approaches to
Mobile Opportunistic Networking.

********************** MOBIOPP 2007 FEATURES ********************
*
* Keynote Talk:
* Prof. Gaetano Borriello (Univ. of Washington Seattle)
*   "Data Mules for Developing Regions"
*
* Panel
* Mobile Opportunistic Networking: Drivers and
* Research Directions
*   Organiser & Chair: Cecilia Mascolo, UCL, UK	
*		
* 10 Regular Papers
*
* 4 Work-in-Progress Papers
*
*****************************************************************

Opportunistic Networks are one of the most exciting evolutions
of the legacy Mobile Ad hoc Networking (MANET) paradigm, in
which the assumption of complete paths between data senders and
receivers is released. Opportunistic Networks enable users'
communication in disconnected environments, in which island of
connected devices appear, disappear, and reconfigure
dynamically. Opportunistic Networks thus encompass the features
and methods of delay or disruption tolerant networks (DTN). They
are very suitable to support the pervasive networking scenario,
in which a huge number of devices carried by users and embedded
in the environment communicate wirelessly without requiring any
pre-existing infrastructure. By enabling end-to-end
communication without requiring complete paths, Opportunistic
Networks are much closer to real pervasive networking scenarios,
with respect to the legacy MANET paradigm.

Please refer to the MobiOpp website
(http://cnd.iit.cnr.it/mobiopp07)
for any additional information.

ORGANISING COMMITTEE

General Co-Chairs Marco Conti IIT-CNR, Italy
[email-masked]

Mario Gerla UCLA, USA [email-masked]

Program Co-Chairs Andrea Passarella IIT-CNR, Italy
[email-masked]

Giovanni Pau UCLA, USA [email-masked]

================================================================
MobiOpp 2007 TECHNICAL PROGRAM
================================================================

Session 1
Analytical Bounds and Metrics for Opportunistic Routing
- Contention-Aware Analysis of Routing Schemes for
   Mobile Opportunistic Networks
   A. Jindal, K. Psounis (Universityof Southern California)
- A Comparison of Opportunistic and Deterministic Forwarding in
   Multihop Wireless Networks
   J. Kim, S. Bohacek (University of Delaware)
- Evaluating Contacts for Routing in Highly Partitioned
   Mobile Networks
   C. Chen (Indiana University and Purdue University)
   Z. Chen (Georgia Institute of Technology)

Session 2: Opportunistic Vehicular and Sensor Networks
- Reactive Sink Mobility in Wireless Sensor Networks
   D. Puccinelli, M. Brennan, M. Haenggi
   (University of Notre Dame)
- Energy-Efficient Opportunistic Topology Control in Wireless
   Sensor Networks
   J. Ma, Q. Zhang, C. Qian, L. M. Ni
   (Hong Kong University of Science and Technology)
- Opportunistic Spatio-Temporal Dissemination System for
   Vehicular Networks
   I. Leontiadis, C. Mascolo (University College London)

Session 3: Work in Progress
- Evaluating Vehicle Network Strategies for Downtown Portland:
   Opportunistic Infrastructure and the Importance of Realistic
   Mobility Models
   G. Marfia, G. Pau (University of California at Los Angeles),
   E. De Sena (Universita' degli Studi di Napoli Federico II),
   E. Giordano (Universita' di Bologna),
   M. Gerla (University of California at Los Angeles)
- Applicability of Identity-Based Cryptography for
   Disruption-Tolerant Networking
   N. Asokan, K. Kostiainen, P. Ginzboorg (Nokia Research Center),
   J. Ott, C. Luo (Helsinki University of Technology)
- Incentive-Based Cooperative and Secure Inter-Personal
   Networking
   K. El Defrawy, M. El Zarki, G. Tsudik
   (University of California at Irvine)
- Prioritized Epidemic Routing for Opportunistic Networks
   R. Ramanathan, R. Hansen, P. Basu, R. Rosales-Hain, R. Krishnan
   (BBN Technologies)

Session 4: Opportunistic Dissemination and Routing Schemes
- Performance Modeling of Network Coding in Epidemic Routing
   Y. Lin, B. Liang, B. Li (University of Toronto)
- Hybrid Routing in Clustered DTNs with Message Ferrying
   Y. Chen, W. Zhao, M. Ammar, E. Zegura (Georgia Tech)
- TACO-DTN: A Time-Aware COntent-based dissemination system for
   Delay Tolerant Networks
   G. Sollazzo, M. Musolesi, C. Mascolo
   (University College London)
- Reliable and Efficient Message Delivery in Delay Tolerant
   Networks Using Rateless Codes
   B. N. Vellambi, R. Subramanian , F. Fekri, M. Ammar
   (Georgia Tech)

Panel
Mobile Opportunistic Networking: Drivers and
Research Directions
Organiser & Chair: Cecilia Mascolo, UCL, UK

====================================================
Chiara Boldrini - Ph.D. Student
MobiOpp 2007 Publicity Chair

     Institute for Informatics and Telematics (IIT)
     Italian National Research Council (CNR)
     Via G. Moruzzi, 1 - 56124 Pisa, Italy

     phone: + 39 050 315 3504 (direct)
     email: [email-masked]
====================================================

Reply-To: <[email-masked]>
From: "Eiko Yoneki" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Fri, 4 May 2007 17:03:24 +0100
Organization: University of Cambridge
Subject: [dtn-interest] [CFP RDDS 2007] Announcement and Call for Papers
Sender: [email-masked]

[Our apologies for possible duplicates of this message]
*********************************************************************
Second International Workshop on Reliability in Decentralized Distributed
Systems (RDDS'07) http://www.cs.rmit.edu.au/fedconf/rdds2007cfp.html

ON THE MOVE FEDERATED CONFERENCES 2007 (OTM'07)
http://www.cs.rmit.edu.au/fedconf

Vilamoura, Algarve, Portugal, Nov 25 - 30, 2007 Proceedings will be
published by Springer Verlag
*************************************************************
WORKSHOP THEME

Middleware has become a popular technology for building distributed systems
from tiny sensor networks to large scale peer-to-peer (P2P) networks.
Support such as asynchronous and multipoint communication is well suited for
constructing reactive distributed computing applications over wired and
wireless networks environments. While middleware infrastructures exhibit
attractive features from an application development perspective (e.g.,
portability, interoperability, adaptability etc.), they are often lacking in
robustness and reliability. Distributed systems become increasingly large
and complex, thereby compounding many reliability problems that necessitate
different strategies and solutions. 

For example, in the inherently distributed nature of P2P networks, the most
common solution to reliability is to take advantage of redundancy. The same
task can be initially assigned to multiple peers. In file sharing
applications, data can be replicated across many peers. In messaging
applications, messages can be simultaneously sent along multiple paths.
Redundancy may not be appropriate, however, in resource-constrained
environments such as wireless ad hoc networks where more lightweight
alternatives are needed. Some systems even rely on autonomic management
technologies inspired by nature and biological organisms to cope with the
challenges of scale, complexity, heterogeneity and unpredictability. In any
case, the system model (e.g., communication, failures) and application
requirements are key factors in the design of reliably mechanisms. 

Among different aspects of reliability issues, this workshop focuses on
reliability in decentralized distributed systems. While decentralized
architectures are gaining adoption is most application domains, there is
still some reluctance in deploying them in systems with high dependability
requirements. This has led, over the past few years, to several academic and
industrial research efforts aimed at correcting this deficiency. For the
most part, these research efforts have been independent of each other, and
have often focused on specific pieces of the dependability puzzle. Our aim,
in this Workshop, is to bring researchers and practitioners together, to
further our insights on reliable decentralized architectures and to
investigate collectively the challenges that remain. 

GOALS

The purpose of the RDDS 2007 workshop on Reliability in Distributed
Decentralized Systems is to bring together researchers from diverse
communities who are interested in building dependable reliable distributed
systems in decentralized form, to explore ways of making today's middleware
technologies more robust, and to discuss and exchange experimental or
theoretical results, novel design, work-in-progress, experience, case study,
and trend-setting ideas. We seek contributions from researchers of all
backgrounds, in particular peer-to-peer systems, messaging, ad hoc
communication, middleware and distributed systems, and autonomic management
systems.

TOPICS OF INTEREST 

- The Workshop solicits contributions on topics related to, but not limited
to, the following: 
- Reliable communication, architectures and algorithms
- Lessons learned in building/using dependable middleware: what works, what
doesn't? 
- Integrating dependable embedded and enterprise middleware systems
- Trade-offs in adding other "-ilities" (survivability, adaptability,
scalability, availability, mobility, security, real-time, etc.) to reliable
middleware infrastructures
- Integration of dependability into formal distributed object models
- Shaping/enhancing standards for reliable middleware
- Evaluating dependability for middleware applications
- Limitations of existing fault tolerance technologies in the context of
middleware applications
- Metrics, benchmarks and performance studies in evaluating reliability for
middleware applications
- Combining different dependability strategies, e.g., replication with
transactions
- Self-healing, self-protecting systems
- Autonomic system management
- Reliability measurement, modelling and evaluation
- Tools for design and evaluation of reliable systems
- Application-specific reliable system (e.g., embedded systems, Web,
databases)
- Enabling technologies for self-managing systems and networks
- Economic, biological and social models used for autonomic communications
- Timeliness and availability in support of reliability
- QoS for reliable systems 

IMPORTANT DATES 
 
	Abstract Submission Deadline	     July 14, 2007	   
 	Paper Submission Deadline	 	     July 22, 2007	   
 	Acceptance Notification	 	     September 1, 2007	   
 	Camera Ready Due	 	            September 10, 2007	   
 	Registration Due	 	            September 10, 2007	   
 	OTM Conferences	 	            November 25 - 30, 2007	 

SUBMISSION GUIDELINES 

All submitted papers will be carefully evaluated based on originality,
significance, technical soundness, clarity of expression, and relevance to
IFIP WG 2.12 & WG 12.4. All submissions must be in English, and will be
refereed by a program committee comprising members of the Working Group.
Research submissions must not exceed 10 pages following the Springer format.
Submissions should be made in PDF format. Detailed formatting instructions
can be found at:
http://www.springer.de/comp/lncs/authors.html 
The final proceedings will be published by Springer Verlag as LNCS. Failure
to commit to presentation at the conference automatically excludes a paper
from the proceedings. 
The paper submission site will be announced shortly.
Accepted workshop contributions will be published by Springer-Verlag as LNCS
(Lecture Notes in Computer Science) as a part of the workshop proceedings of
the 2007 International On The Move Federated Conferences (OTM). Registering
to the OTM conference and RDDS workshop is a prerequisite for the paper to
be published. 
Failure to commit to presentation at the conference automatically excludes a
paper from the proceedings. 

ORGANISATION COMMITTEE 

Eiko Yoneki
Computer Laboratory
University of Cambridge 
Cambridge, CB3 0FD
United Kingdom
Phone: (+44) 1223 763743
Email: [email-masked]

Pascal Felber
Dependable and Distributed Computing Group
Université de Neuchâtel 
Institut d'informatique
CH-2007 Neuchâtel
Switzerland
Phone: (+41) 32 728 2709
Email: [email-masked]

Program Committee Members

Licia Capra - University College of London, UK 
Paolo Costa - Vrije Universiteit Amsterdam, Netherlands 
Simon Courtenage - University of Westminster, UK 
Patrick Eugster - Purdue University, USA 
Ludger Fiege - Siemens Research, Germany 
Christos Gkantsidis - Microsoft Research, UK 
Michael Kounavis - Intel Research, USA 
Marco Mamei - Università di Modena, Italy 
Gero Muehl - TU Berlin, Germany 
Jonathan Munson - IBM T J Watson Research Center, USA 
Maziar Nekovee - BT Research and University College of London, UK 
Andrea Passarella - IIT-CNR, Italy 
Peter Pietzuch - Imperial College London, UK 
Matthieu Roy - LAAS-CNRS, France 
Francois Taiani - Lancaster University, UK 
Einar Vollset - Cornell University, USA 

Date: Fri, 04 May 2007 11:26:01 -0400
From: Hossein Falaki <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] Performance Evaluation and Analysis of DTN
Sender: [email-masked]

A paper titled "Performance Evaluation and Analysis of Delay Tolerant 
Networking" which mostly focuses on the performance of the DTN reference 
implementation on low power devices is going to be presented in the 
MobiEval workshop (held with MobiSys 2007).
The paper is available here: 
<http://www.cs.uwaterloo.ca/~mhfalaki/pub/DTN_evaluation.pdf>

Your comments are appreciated.

--Hossein

Date: Wed, 02 May 2007 22:04:25 +0200
From: Damien Sauveron <[email-masked]>
To: [email-masked]
Subject: [dtn-interest] [WISTP'2007] Last Call For Participation
Sender: [email-masked]

*******************************************************************
We apologize in advance if you receive multiple copies of this CFP.
Please disseminate it to your colleagues that could be interested.
*******************************************************************

Workshop in Information Security Theory and Practices 2007: Smart Cards,
Mobile and Ubiquitous Computing Systems
                                  &&
A networking meeting to discuss proposals for the EU FP7

Heraklion, Crete, Greece
May 8-11, 2007

Workshop URL: http://wistp2007.xlim.fr/

Preliminary Program: http://wistp2007.xlim.fr/index.php?id=57

We are pleased to announce that Prof. Jean-Pierre Hubaux (LCA, EPFL,
Switzerland), Prof. Fred Piper (Information Security Group, Royal
Holloway University of London, UK), Caspar Bowden (Chief Privacy Advisor
EMEA -- Microsoft, UK), Patrick Waters (Head of Research and Development
in the Netherlands for Vodafone Group, NL) and Prof. Sajal K. Das will
deliver keynote speeches.
http://wistp2007.xlim.fr/index.php?id=46

Regarding venue, hotel arrangement, workshop registration and visa
request, please visit http://wistp2007.xlim.fr/ for details.
http://wistp2007.xlim.fr/CFP/Registration_form.pdf
http://wistp2007.xlim.fr/index.php?id=66

Proceedings will be published by Springer LNCS.

*******************************************************
WISTP'2007 is:
- Co-Sponsored by IFIP TC6 Communications Systems
- Co-Sponsored by IFIP WG 8.8 Smart Cards
- Co-Sponsored by IFIP WG 11.2 Small System Security
- Co-Sponsored by The British Computer Society
- In Cooperation with the IEEE Computer Society, Technical Committee on
Security and Privacy (TCSP)
- In Cooperation with the IEEE Computer Society, Task Force on
Information Assurance (TFIA)
- In Cooperation with the IEEE Systems, Man, and Cybernetics Society,
Technical Committee on Information Assurance & Intelligent
Multimedia-Mobile Communications
- In Cooperation with the IEEE Systems, Man, and Cybernetics Society,
Technical Committee on Systems Safety and Security
- In Cooperation with the IEEE Vehicular Technology Society
- Supported by the IEEE Region 8
- Supported by the IEEE France Section
- Supported by the IEEE UKRI Section & by the IEEE UKRI Section -
Computer Society Chapter
- Supported by the IEEE Greece Section - Communications Society &
Computer Society & VT&AESS Chapters
- Supported by the ERCIM
- Supported by ACM Special Interest Group on Security, Audit and Control
(SIGSAC)
- Supported by the EuroSys (European ACM SIGOPS Chapter)
- Supported by the ASF (French ACM SIGOPS Chapter)
- Supported by the Greek Computer Society
- Supported by the ASTI
- Supported by the Institute for Systems and Technologies of
Information, Control and Communication (INSTICC)
- Supported by the SEE
- Supported by the GDR CNRS ASR
- Supported by the VDE ITG
- Supported by the Network of Excellence Euro-NGI
- Supported by the European Workshop on Industrial Computer Systems,
Technical Committee 7, Safety, Reliability and Security

*******************************************************
WISTP2007 Background and Goals:
With the rapid technological development of information technologies,
computer systems and especially embedded systems are becoming more
mobile and ubiquitous, increasingly interfacing with the physical world.
Ensuring  the security of these complex and yet, resource constraint
systems has emerged as one of the most pressing challenges.
The aim of this first workshop is to bring together researchers and
practitioners in related areas and to encourage interchange and
cooperation between the research community and the industrial/consumer
community.
The workshop will consist of technical paper presentations, one special
session for student papers and five invited talks.
To contribute to the structuring of the community, a networking meeting
to discuss EU FP7 projects proposals will take place just after the
workshop.

*******************************************************
Topics of interest include, but are not limited to:

A. Smart Cards and Trusted Devices Security

     * Biometrics, National ID cards
     * Embedded Systems Security and TPMs
     * Interplay of TPMs and Smart Cards
     * New Applications for Secure RFID Systems
     * RFID Systems Security
     * Smart Card Security
     * Smart Card Applications

B. Ad Hoc and Mobile Networks Security

     * Ad Hoc Networks Security
     * Delay-Tolerant Network Security
     * Domestic Network Security
     * Mobile Codes Security
     * Mobile Devices Security
     * Security Issues in Mobile and Ubiquitous Networks
     * Security of GSM/GPRS/UMTS Systems
     * Sensor Networks Security
     * Vehicular Network Security
     * Wireless Communication Security (WiFi, WiMAX, WiMedia, others)

C. Ubiquitous Computing Systems Security

     * Distributed Systems Security
     * Grid Computing Security
     * Intrusion Detection and Information Filtering
     * Peer-to-Peer Networks Security

D. Security Protocols, Policies and Management for Mobility

     * Critical Infrastructure (e.g. for Medical or Military
Applications) Security
     * Digital Rights Management (DRM)
     * Industrial and Multimedia  Applications
     * Information Assurance
     * Localization Systems Security (Tracking of People and Goods)
     * New Applications of Secure Systems
     * Public Administration and Governmental Services
     * Security Models and Architecture
     * Security Policies (Human-Computer Interaction and Human Behavior
Impact)
     * Security Protocols (for Identification and Authentication,
Confidentiality and Privacy, and Integrity)
     * Security Measurements
     * Trust Management

*******************************************************
Opportunities for students:
To help the students looking for a PhD thesis or a postdoctoral
position, we will propose them to add a colorized sticker on their
badge. In the same way, we will propose to persons offering these
positions to add a sticker with a different color. We hope this
mechanism will help to support the exchanges between young and senior
researchers.

*******************************************************
Thanks to our main sponsors:
http://wistp2007.xlim.fr/index.php?id=59
http://wistp2007.xlim.fr/index.php?id=78
Crisp Telecom
Eurosmart
Elopsys
Limousin Expansion
Nokia
Vodafone
WILEY

*******************************************************
We hope you will be interested by this event.
For further inquiries, please contact the secretariat at
[email-masked]

Best regards,
-- 
Damien Sauveron